*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

:root{
    --bg-color: #333;
    --primary-color: #fff;
    --second-color: #ffc107;
    --hover-bg-color: #444; 
    --shadow-1: 0px 2px 10px rgba(0, 0, 0, 0.3);
    --shadow-2: 0px 2px 10px rgba(26, 112, 224, 0.4);
}

body{
    margin: 0; 
    background-position: center;
    background-size: cover;
    &.no-scroll {
        overflow: hidden;
    }
}

.nav a {
    text-decoration: none;
    color: var(--primary-color);
    font-weight: 500;
    opacity: 0.85;
}
.nav a:hover {
  opacity: 1;
}
ul{
    list-style-type: none;
}

.menu-toggle{
    display: none;
    font-size: 24px;
    background: transparent;
    border: none;
    color: var(--primary-color);
    cursor: pointer;
    z-index: 1000; 
}

.nav{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-inline: 3vw;
    height: 70px;
    background: var(--bg-color);
    color: var(--primary-color);
     background: rgba(51,51,51,0.95);
  backdrop-filter: blur(6px);
    /* align-items: center; - Ist schon durch flexbox default */
    /* margin-bottom: 2rem; - Dieser Margin schiebt das Menü nach oben und kann zu Problemen führen
                                wenn dein Hauptinhalt nicht direkt unter dem Menü beginnt.
                                Wenn du Platz brauchst, füge ihn zu .main oder einem Container hinzu. */
    position: relative;
    z-index: 100;
}

.logo img {
    height: 60px;
    width: auto;
    max-width: 100%;
    display: block;
}
.logo img:hover {
  transform: none;
}
.nav-main-menu{
    display: flex;
    height: auto;
    overflow: visible;
}
.nav-main-menu li {
    position: relative;
}
.nav-link{
    padding: 26px 10px;
    margin-inline: 10px;
    transition: .3s;
    display: block;
    transition: color .2s ease, opacity .2s ease;
}
.nav-link:hover {
  color: var(--second-color);
  opacity: 1;
}
.nav span{
    margin-right: 5px;
}
.fa-chevron-down, .fa-chevron-right{
    font-size: 12px;
    transition: .3s;
}

.dropdown:hover .fa-chevron-down, .sub-dropdown:hover .fa-chevron-right{
    transform: rotate(180deg);
}
.dropdown:hover .nav-link{
    color: var(--second-color);
    
}

.dropdown{
    position: relative;
    z-index: 20;

}
.nav-main-menu .dropdown-content{
    display: none;
    position: absolute;
    top: 100%;
    left: 0;
    background: var(--bg-color);
    min-width: 240px;
    border-top: 3px solid #333;
    border-radius: 0 0 3px 3px;
    animation: slideUp .3s forwards;
    box-shadow: var(--shadow-1);
    z-index: 25;
}
.dropdown-content,
.sub-dropdown-content {
  border-top: none;
  border-radius: 16px;
  padding: 8px 0;
  box-shadow: 0 20px 40px rgba(0,0,0,0.25);
}

.dropdown-content li{
    padding: 15px 20px;
    /* border-bottom: 1px solid rgba(255, 255, 255, 0.1); */
}
.dropdown-content li:last-child {
    border-bottom: none;
}
/*.dropdown-content li:hover{
    /* background: var(--hover-bg-color); */
/*}*/
.dropdown-content li a {
    display: block;
    width: 100%;
    color: var(--primary-color);
}
.dropdown-content li a:hover {
    color: var(--second-color);
}

.dropdown:hover .dropdown-content{
    display: block;
}

.sub-dropdown {
    position: relative;
    z-index: 15;
}
.nav-main-menu .sub-dropdown-content{
    display: none;
    position: absolute;
    top: 0;
    left: 100%;
    background: var(--bg-color);
    min-width: 240px;
    border-top: 3px solid #333;
    border-radius: 3px;
    animation: slideUp .3s forwards;
    box-shadow: var(--shadow-1);
    z-index: 30;
}
.sub-dropdown-content li{
    padding: 15px 20px;
}
.sub-dropdown-content li:last-child {
    border-bottom: none;
}
/*.sub-dropdown-content li:hover{
    /* background: var(--hover-bg-color); */
/*}*/

.sub-dropdown-content li a {
    display: block;
    width: 100%;
    color: var(--primary-color);
}
.sub-dropdown-content li a:hover {
    color: var(--second-color);
}
.sub-dropdown:hover .sub-dropdown-content{
    display: block;
}

@keyframes slideUp {
    from{
        opacity: 0;
        transform: translateY(20px);
    }
    to{
        opacity: 1;
        transform: translateY(0);
    }
}
.dropdown-link{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px 20px;
    display: block;
    width: 100%;
}
.btn{
    font-size: 15px;
    background-color: var(--second-color);
    color: var(--bg-color);
    border: none;
    padding: 10px 24px;
    border-radius: 30px;
    box-shadow: var(--shadow-2);
    cursor: pointer;
    transition: .3s;
}
.btn:hover{
    opacity: 0.9;
}

@media only screen and (max-width: 794px){
    body.no-scroll {
        overflow: hidden;
    }
    .menu-toggle{
        display: block;
    }

    .nav-main-menu{
        flex-direction: column;
        position: fixed;
        top: 70px;
        left: 0;
        width: 100%;
        max-width: 100%;
        height: calc(100vh - 70px);
        background: var(--bg-color);
        box-shadow: var(--shadow-1);
        z-index: 99;
        overflow-y: auto;
        transform: translateX(100%);
        transition: transform 0.3s ease-out;
        display: flex;
        opacity: 1
    }

    .nav-main-menu.active {
        transform: translateX(0);
    }

    .nav-main-menu li {
        position: static;
        width: 100%;
    }

    .nav-link {
        padding: 15px 20px;
        margin-inline: 0;
        width: 100%;
        /* border-bottom: 1px solid rgba(255, 255, 255, 0.1); */
    }

    .nav-main-menu li:nth-last-child(1) .nav-link,
    .nav-main-menu li:nth-last-child(2) .nav-link {
        border-bottom: none;
    }
    .nav-main-menu li:last-child .nav-link {
        border-bottom: none;
    }

  .dropdown:hover .dropdown-menu,
  .sub-dropdown:hover .sub-dropdown-menu {
    display: none !important;
  }

    .nav-main-menu .dropdown-content,
    .nav-main-menu .sub-dropdown-content {
        position: static;
        display: none;
        width: 100%;
        min-width: unset;
        background: var(--bg-color);
        border-top: none;
        border-radius: 0;
        box-shadow: none;
        padding-left: 20px;
        animation: none;
    }
    
    .sub-dropdown-content li:hover {
        background: none;
    }
    .nav-main-menu li:hover {
        background: none;
    }

    .dropdown.active-dropdown .dropdown-content,
    .sub-dropdown.active-sub-dropdown .sub-dropdown-content {
        display: block;
    }

    .dropdown-content li,
    .sub-dropdown-content li {
        padding: 10px 20px;
        background: none;
        /* border-bottom: 1px solid rgba(255, 255, 255, 0.05); */
    }
    .dropdown-content li:last-child,
    .sub-dropdown-content li:last-child {
        border-bottom: none;
    }

    .dropdown-content li a:hover,
    .sub-dropdown-content li a:hover {
        color: var(--second-color);
    }

    .dropdown.active-dropdown .fa-chevron-down,
    .sub-dropdown.active-sub-dropdown .fa-chevron-right {
        transform: rotate(180deg);
    }

    .nav ul {
        transition: none;
        transform: none;
    }

      .dropdown-menu,
  .sub-dropdown-menu {
    display: none;
  }

  .active-dropdown > .dropdown-menu,
  .active-sub-dropdown > .sub-dropdown-menu {
    display: block;
  }

}

@keyframes slideDown {
    from {
        opacity: 0;
        transform: translateY(-20px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}
.menu-toggle {
    transition: transform 0.3s ease;
}

.menu-toggle.rotated {
    transform: rotate(90deg);
}
header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  transition: transform 0.3s ease;
  z-index: 1000;
}

header.hidden {
  transform: translateY(-100%);
}
.nav-main-menu a {
    position: relative;
}

